Main Page Class Hierarchy Compound List File List Compound Members

# KEY_parser Class Reference

Input parser for KEY data. More...

`#include <keydrin.h>`

Inheritance diagram for KEY_parser:

List of all members.

## Public Methods
| KEY_parser ()
virtual | ~KEY_parser ()
| destructor
void | Read (GdsII *)
| read complte GDSII internal structure
## Protected Methods
virtual bool | ReadItem (const wxString &type)=0
| read one record from the KEY Data
bool | SkipXYData ()
| skip the data for one record from the KEY Data
bool | ReadBoundary (Structure *_structure)
| Element.
bool | ReadPath (Structure *_structure)
| Element.
bool | ReadText (Structure *_structure)
| Element.
bool | ReadArrayReference (Structure *_structure)
| Element.
bool | ReadStructureReference (Structure *_structure)
| Element.
bool | ReadArc (Structure *_structure)
| Element.
bool | ReadCircle (Structure *_structure)
| Element.
bool | ReadNode (Structure *_structure)
| Element.
bool | ReadBox (Structure *_structure)
| Element.
bool | ReadImage (Structure *_structure)
| Element.
bool | ReadLine (Structure *_structure)
| Element.
## Protected Attributes
wxString | _keyword
| keyword for record in KEY data
wxString | _value
| value for record in KEY data
int | _recordtype
| type of the record in KEY data
long | _linenumber
| last read line in DATA
double | _factor
| scaling factor of input coordinates
bool | _back
| is last record stored (means already read)
int | _mapping_in [1000]
| mapping of KEY layers to internal layers

## Detailed Description

Input parser for KEY data.

Every record in the KEY file/data is read/mapped into the right internal structure The KEY file is parsed according to the BNF of the KEY format. Info on the different record types that are read can be found in the KEY format manual

See also:
  CommandParser , KEY_string_in , KEY_driver_in

## Constructor & Destructor Documentation

KEY_parser::KEY_parser | ( |  | ) |

  | constructor Parameters:
  setup: | layer properties

The documentation for this class was generated from the following file:

- keydrin.h

KEY_parser class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page